Skip to main content
GET
/
api
/
v1
/
clusters
/
upcloud
/
{cluster_id}
/
control-plane
Get Control Plane Info Endpoint
import requests

url = "https://platform.ankra.app/api/v1/clusters/upcloud/{cluster_id}/control-plane"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
{
  "count": 123,
  "supported_counts": [
    123
  ],
  "instance_type": "<string>",
  "can_change": true,
  "reason": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null
x-ankra-organisation-id
string | null

Path Parameters

cluster_id
string<uuid>
required

Response

Successful Response

count
integer
required
supported_counts
integer[]
required
instance_type
string
required
can_change
boolean
required
reason
string | null